Page 2 of 4 FirstFirst 1234 LastLast
Results 11 to 20 of 40

Thread: AMD Catalyst 9.12 For Linux available

  1. #11
    Join Date
    Nov 2009
    Posts
    14

    Default

    And the problem with black screen and system freeze that I have since Catalyst 9.9 still not resolved This is not even listed on the Known Issues list despite of that many people report this in various places (including this forum) and I have reported this through ATI's "Linux Feedback Program". I'm getting more and more convinced that the next graphic card I buy would be from nvidia as it seems those folks care much more about customers running Linux on their machines.

  2. #12
    Join Date
    Dec 2009
    Location
    Brasil
    Posts
    4

    Default

    I've been having the exact same problem since the 9.9 catalyst also. No matter how it is installed, I always get the black screen. Let's hope that with kernel 2.6.32 plus xorg 7.5 coming by default in lucid next year fixes that, but my wish is to get a nvidia card sooner than april.

  3. #13
    Join Date
    Aug 2007
    Posts
    6,646

    Default

    Well it is hard to understand that a 1 line fix for 2.6.32 FINAL kernel was not added in time...

  4. #14
    Join Date
    Mar 2009
    Posts
    14

    Default

    Added in gentoo-quebec overlay!
    This include the kernel 2.6.32 support patch.
    Last edited by DestroyFX; 12-18-2009 at 11:53 AM.

  5. #15

    Default

    Quote Originally Posted by Hoodlum View Post
    Sigh. No Xorg 7.5

    I'd say more but that about sums up my feelings.
    Good grief...

    Has anyone figured out a patch yet? I'm getting very tired of having to wait months for ATI to provide drivers that load in the current Fedora release. I'm too mad at NVIDIA for quietly putting out defective hardware for 3 years to switch to them, but still.

  6. #16
    Join Date
    Aug 2009
    Posts
    3

    Default

    Quote Originally Posted by Hoodlum View Post
    Sigh. No Xorg 7.5

    I'd say more but that about sums up my feelings.
    Really?

    Does that mean no Fedora 12 support? I was hoping for an OS upgrade with the holiday season. This means I'll be waiting till at least next month. Fedora 11 still feels reasonablely fresh, I guess I can deal.

  7. #17
    Join Date
    Nov 2009
    Posts
    14

    Default

    Quote Originally Posted by Kano View Post
    Well it is hard to understand that a 1 line fix for 2.6.32 FINAL kernel was not added in time...
    Do you have any patch which would allow to build kernel module for 2.6.32?

  8. #18
    Join Date
    Dec 2009
    Posts
    49

    Default

    @maciejus:
    i may answer for Kano - yes, it is. Look for example here: http://aur.archlinux.org/packages/ca...patch.kcl_io.c

    also there is a solution on howto enable opencl support (here http://aur.archlinux.org/packages.php?ID=32968 i have used newest 9.12 hotfix driver with opencl support). I have found solution on amd developer forum - you just need to add "nopat" to kernel boot line

  9. #19
    Join Date
    Dec 2009
    Posts
    49

    Default

    oouuu and with this "nopat" kernel option - XvBa is working again

    ( tested on 9.12 hotfix, archlinux x86_64, 2.6.32.1-ck kernel, xorg-server 1.6.x )

  10. #20
    Join Date
    Dec 2009
    Posts
    49

    Default

    ?? my previous replay havent been posted, so...

    with "nopat" kernel boot option opencl seems to finally work! I have found this solution on an amd developer forum.
    (i'm using catalyst 9.12 hotfix driver)

    @maciejus:
    +#include <linux/signal.h>
    in fglrx_archive/common/lib/modules/fglrx/build_mod/kcl_io.c brings 2.6.32 support
    Last edited by Vi0L0; 12-18-2009 at 04:25 PM.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •